#pragma once

#include <TactilityCpp/Preferences.h>
#include <cstdint>

namespace GameKit {

class Prefs {
    Preferences prefs;

public:
    explicit Prefs(const char* ns) : prefs(ns) {}
    int32_t getInt(const char* key, int32_t fallback = 0) const { return prefs.getInt32(key, fallback); }
    void putInt(const char* key, int32_t value) const { prefs.putInt32(key, value); }
};

} // namespace GameKit
